# $Id: util-vserver.spec.in,v 1.12 2004/01/14 00:26:24 ensc Exp $

%define confdir		%_sysconfdir/vservers
%define confdefaultdir	%confdir/.defaults
%define pkglibdir	%_libdir/%name
%define _localstatedir /var

Summary:	Linux virtual server utilities
Name:		util-vserver
Version:	0.27.194
Release:	1mdk
Epoch:		0
License:	GPL
Group:		System Environment/Base
URL:		http://savannah.nongnu.org/projects/util-vserver/
Source0:	http://savannah.nongnu.org/download/util-vserver/stable.pkg/%version/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	init(util-vserver)
Requires:	%name-core = %epoch:%version-%release
Provides:	vserver = %epoch:%version-%release
Obsoletes:	vserver < %epoch:%version
BuildRequires:	mount gawk
BuildRequires:	gcc-c++
BuildRequires:	e2fsprogs-devel

%package core
Summary:	The core-utilities for util-vserver
Group:		Applications/System

%package build
Summary:	Tools which can be used to build vservers
Group:		Applications/System
Requires:	%name = %epoch:%version-%release
Requires:	rpm apt

%package sysv
Summary:	SysV-initscripts for vserver
Group:		System Environment/Base
Provides:	init(util-vserver)
Requires:	%name = %epoch:%version-%release
Requires:	initscripts

%package legacy
Summary:	Legacy utilities for util-vserver
Group:		Applications/System
Requires:	%name = %epoch:%version-%release

%package devel
Summary:	Header-files and libraries which are needed to develop vserver based applications
Group:		Development/Libraries
Requires:	pkgconfig


%description
This package provides the components and a framework to setup virtual
servers.  A virtual server runs inside a linux server. It is nevertheless
highly independent. As such, you can run various services with normal
configuration. The various vservers can't interact with each other and
can't interact with services in the main server.

This requires a special kernel supporting the new new_s_context and
set_ipv4root system call.

%description core
%description build
%description sysv
%description legacy
%description devel

%prep
%setup -q

%build
%configure --with-initrddir=%_initrddir --enable-release
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR="$RPM_BUILD_ROOT" install install-vserverdir

rm -f $RPM_BUILD_ROOT/%_libdir/*.la

# mkdir -p $RPM_BUILD_ROOT/var/run/vservers
# mkdir -p $RPM_BUILD_ROOT/var/run/vservers.rev


%clean
rm -rf $RPM_BUILD_ROOT


%post
f="%confdefaultdir/vdirbase"; test -L "$f" -o -e "$f" || ln -s /vservers             "$f"
f="%confdefaultdir/run.rev";  test -L "$f" -o -e "$f" || ln -s /var/run/vservers.rev "$f"


%define v_services	httpd named portmap sendmail smb sshd xinetd
%post sysv
/sbin/chkconfig --add vservers
/sbin/chkconfig --add rebootmgr

for i in %v_services; do
	/sbin/chkconfig --add v_$i
done


%preun sysv
test "$1" != 0 || for i in %v_services; do
	/sbin/chkconfig --del v_$i
done

test "$1" != 0 || %{_initrddir}/rebootmgr stop &>/dev/null || :
test "$1" != 0 || /sbin/chkconfig --del rebootmgr
test "$1" != 0 || /sbin/chkconfig --del vservers


%postun sysv
test "$1" = 0  || %{_initrddir}/rebootmgr condrestart >/dev/null || :


%post   core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%doc doc/FAQ.txt
%pkglibdir/capchroot
%pkglibdir/chroot-cat
%pkglibdir/chroot-rm
%pkglibdir/defaults
%pkglibdir/distrib-info
%pkglibdir/exec-ulimit
%pkglibdir/fakerunlevel
%pkglibdir/filetime
%pkglibdir/ifspec
%pkglibdir/legacy
%pkglibdir/listdevip
%pkglibdir/mask2prefix
%pkglibdir/parserpmdump
%pkglibdir/pipe-sync
%pkglibdir/readlink
%pkglibdir/rootshell
%pkglibdir/rpm-fake-resolver
%pkglibdir/save_ctxinfo
%pkglibdir/secure-mount
%pkglibdir/showperm
%pkglibdir/vapt-get-worker
%pkglibdir/vreboot
%pkglibdir/vservers.grabinfo.sh
#%exclude %pkglibdir/vunify
%_sbindir/exec-cd
%_sbindir/rebootmgr
%_sbindir/vdu
#%_sbindir/vfiles
%_sbindir/vlimit
%_sbindir/vps
%_sbindir/vpstree
%_sbindir/vserver
%_sbindir/vserver-stat
%_sbindir/vserver-info
%_sbindir/vtop
%_mandir/*/*

%dir %confdefaultdir
%dir %confdefaultdir/init
%dir %confdefaultdir/apps
%dir %confdefaultdir/apps/pkgmgmt
%dir %confdefaultdir/files
%ghost %confdefaultdir/vdirbase
%ghost %confdefaultdir/run.rev


%attr(000,root,root) %dir /vservers/.pkg
%attr(000,root,root) %dir /vservers

%dir /var/run/vservers
%dir /var/run/vservers.rev


%files core
%defattr(-,root,root,-)
%_libdir/*.so.*
%_sbindir/chbind
%_sbindir/chcontext
%_sbindir/new-namespace
%_sbindir/reducecap
%_sbindir/vkill
%_sbindir/util-vserver-vars
%_sbindir/chxid
%_sbindir/lsxid
%_sbindir/setattr
%_sbindir/showattr
%pkglibdir/util-vserver-vars
%_mandir/*/chbind*
%_mandir/*/chcontext*
%_mandir/*/reducecap*
%dir %pkglibdir


%files build
%defattr(-,root,root,-)
%_sbindir/vapt-get
%_sbindir/vrpm
%_sbindir/vserver-copy
%dir %pkglibdir
%pkglibdir/distributions
%pkglibdir/rpm-fake.so
%pkglibdir/vapt-get*
%pkglibdir/vrpm*
%pkglibdir/vserver-build*
%pkglibdir/vserver-setup*
#%pkglibdir/vunify
%_mandir/*/distrib-info*
%_mandir/*/vserver-copy*
%exclude %_mandir/*/vrpm*

%dir %confdir/.distributions
%dir %confdir/.distributions/*
%dir %confdir/.distributions/*/apt
%config(noreplace) %confdir/.distributions/*/apt/sources.list

%files legacy
%defattr(-,root,root,-)
%pkglibdir/legacy

%files sysv
%defattr(-,root,root,-)
%_initrddir/*
%config(noreplace) %_sysconfdir/vservers.conf


%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_libdir/*.a
%_libdir/*.so
%_libdir/pkgconfig/*


%changelog
* Thu Jan 15 2004 Herbert Ptzl <herbert@13thfloor.at> 0.27.194-1mdk
- adaptation for mandrake

* Wed Oct  1 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.23.5-0
- Initial build.

